package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.valid.ValidGroup;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 库存管理对象 hxp_stock
 *
 * @author liubo
 * @date 2022-06-17
 */
@ApiModel("库存管理明细")
public class HxpStockDetailVO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    @Excel(name = "化学品编号",sort = 1)
    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @Excel(name = "化学品名称" ,sort = 2)
    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @Excel(name = "cas号",sort = 3)
    @ApiModelProperty(value = "cas号")
    private String casNum;

    @Excel(name = "机柜名称",sort = 4)
    @ApiModelProperty(value = "机柜")
    private String cabinetName;

    @Excel(name = "机柜位置",sort = 5)
    @ApiModelProperty(value = "机柜位置")
    private String posi;

    @Excel(name = "分类",sort = 6)
    @ApiModelProperty(value = "分类")
    private String classifyName;

    @Excel(name = "属性",sort = 7)
    @ApiModelProperty(value = "属性")
    private String classifyAttribute;

    @Excel(name = "容量规格",sort = 8)
    @ApiModelProperty(value = "容量规格")
    private String chemicalAmountUnit;

    @Excel(name = "容器规格",sort = 9)
    @ApiModelProperty(value = "容器规格")
    private String tareUnit;

    @Excel(name = "标签类型",sort = 10)
    @ApiModelProperty(value = "标签类型")
    private String labelType;

    @Excel(name = "标签编号",sort = 11)
    @ApiModelProperty(value = "标签编号")
    private String tagCode;

    @Excel(name = "过期时间",sort = 12,dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expirationTime;

    @Excel(name = "原始库存",sort = 13)
    @ApiModelProperty(value = "原始库存")
    private String usages;

    @Excel(name = "实时库存",sort = 14)
    @ApiModelProperty(value = "实时库存")
    private String outUsages;

    @Excel(name = "状态" ,sort = 15)
    @ApiModelProperty(value = "状态")
    private String stockStatus;

    @Excel(name = "入库时间" ,sort = 16,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date joinTime;

    @Excel(name = "出库时间",sort = 17,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "出库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public String getLabelType() {
        return labelType;
    }

    public void setLabelType(String labelType) {
        this.labelType = labelType;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public Date getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(Date expirationTime) {
        this.expirationTime = expirationTime;
    }

    public String getUsages() {
        return usages;
    }

    public void setUsages(String usages) {
        this.usages = usages;
    }

    public String getOutUsages() {
        return outUsages;
    }

    public void setOutUsages(String outUsages) {
        this.outUsages = outUsages;
    }

    public String getStockStatus() {
        return stockStatus;
    }

    public void setStockStatus(String stockStatus) {
        this.stockStatus = stockStatus;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Date getOutTime() {
        return outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public String getTareUnit() {
        return tareUnit;
    }

    public void setTareUnit(String tareUnit) {
        this.tareUnit = tareUnit;
    }
}
